Loading...
Searching...
No Matches
BALL::GRAPH Namespace Reference

## Classes

class | UndoEliminateOperation
class | IllegalStateException
class | UnconnectedGraphException
class | GraphTraits
struct | EditableEdgeCopier
struct | EditableVertexCopier
class | PostOrderFolding

## Functions

template<typename Graph1, typename Graph2>
EditableEdgeCopier< Graph1, Graph2 > | makeEditableEdgeCopier (const Graph1 &g1, Graph2 &g2)
template<typename Graph1, typename Graph2>
EditableVertexCopier< Graph1, Graph2 > | makeEditableVertexCopier (const Graph1 &g1, Graph2 &g2)
template<class UndirectedGraph>
void | eliminateVertex (typename GraphTraits< UndirectedGraph >::VertexType &vertex, UndirectedGraph &graph)
template<class UndirectedGraph>
UndoEliminateOperation< UndirectedGraph > | eliminateVertexUndoable (typename GraphTraits< UndirectedGraph >::VertexType const &vertex, UndirectedGraph &graph)
template<class UndirectedGraph>
void | deepCopy (const UndirectedGraph &src, UndirectedGraph &target)

## Function Documentation

## deepCopy()

template<class UndirectedGraph>

void BALL::GRAPH::deepCopy | ( | const UndirectedGraph & | src,
|  | UndirectedGraph & | target )

Definition at line 307 of file graphAlgorithms.h.

## eliminateVertex()

template<class UndirectedGraph>

void BALL::GRAPH::eliminateVertex | ( | typename GraphTraits< UndirectedGraph >::VertexType & | vertex,
|  | UndirectedGraph & | graph )

Eliminate the vertex from the graph and fill in the resulting hole.

This function first builds a clique of the neighbourhood of the given vertex and removes it afterwards

Definition at line 149 of file graphAlgorithms.h.

## eliminateVertexUndoable()

template<class UndirectedGraph>

UndoEliminateOperation< UndirectedGraph > BALL::GRAPH::eliminateVertexUndoable | ( | typename GraphTraits< UndirectedGraph >::VertexType const & | vertex,
|  | UndirectedGraph & | graph )

Eliminate the vertex from the graph and fill in the resulting hole.

This function first builds a clique of the neighbourhood of the given vertex and removes it afterwards. This function returns an undo object that can be used to undo the operation.

Parameters

  vertex | The vertex to eliminate
  graph | The graph containing the vertex

Definition at line 174 of file graphAlgorithms.h.

## makeEditableEdgeCopier()

template<typename Graph1, typename Graph2>

EditableEdgeCopier< Graph1, Graph2 > BALL::GRAPH::makeEditableEdgeCopier | ( | const Graph1 & | g1,
|  | Graph2 & | g2 )

inline

Definition at line 110 of file graphAlgorithms.h.

## makeEditableVertexCopier()

template<typename Graph1, typename Graph2>

EditableVertexCopier< Graph1, Graph2 > BALL::GRAPH::makeEditableVertexCopier | ( | const Graph1 & | g1,
|  | Graph2 & | g2 )

inline

Definition at line 138 of file graphAlgorithms.h.